# Any %
Runs should start with blank Hero Mode files in slots 1 and 2, and a New Adventure file in slot 3.

## Skyloft
- Talk to Fledge 
  - the guy at the barrels
  - flag 5x80 for Log in Sealed Grounds
- Rescue Remlit
  - flag 2x10 for Skyview Crystal
  - flag 2x40 for targetting the Gate of Time (GoT)
- Save at  Upper Academy (UA) Statue
  - practice save `remlit.bin`
- Use RBM to activate the Faron Light Pillar on File 1
  - BiT via Killing Post
  - Void-Out to UA
  - BiTSave File 1
  - Enter the Goddess Statue
  - Get the Goddess Sword
    - DON'T RESELECT FILES AFTER GRABBING THE SWORD
  - Strike the Pedestal and Place the Emerald Tablet
  - start File 1 about one second after the second camera change, as the light pillar forms
    - (?) when the screen starts to turn green
- Enter the Goddess Statue
- Grab the Goddess Sword and Raise the Pedestal
- Zelda Cutscene at Goddess Statue
- Groose Cutscene at Plaza
- Enter and Leave Wryna's House
  - flag 0x04 for Vine to Deep Woods
- Run through Waterfall Cave
  - take 4 hearts of damage from chus
- Watch Zelda Cutscene after the Cave
- S&Q at the Waterfall Cave Statue
- Copy File 1 to File 3
  - practice save `waterfall_cave.bin`
- Start File 1
- Rescue your Loftwing
- Save at Prompt and Skip the Wing Ceremony Cutscene
  - backup when failing cutscene skip:
    - reset
      - practice save `sidehop_cutscene.bin`
    - load file 3
    - go back through the cave
    - activate BiT one file 3 instead
- Use BiT to Reverse BiTWarp File 2 into the Sky
  - Jump off west cliff to die and activate BiT
  - Select File 2 and go back to the Splash Screen
  - Save while opening the Splash Screen to File Dupe File 3 over File 2
  - FROM NOW ON, DO NOT RETURN TO THE SPLASH SCREEN OR SELECT FILE 2 TWICE
  - BiTSave File 1
  - Reverse BiTWarp with File 2 into the Sky
    - use the platform past the graveyard for easy timing
    - start file as link gets on the loftwing
- Fly towards Faron Pillar, watch Pillar Fi Text (unlocks Loftwing Dismount)
- Take 2 damage from Guay, do 6 flaps, Take 4 damage to Zipper with fall damage to deathwarp (make sure to be diving over the zipper from start to finish or you will softlock)
  - just die and continue
- Rescue the Loftwing again
- Do 12 flaps, dive to the Zipper near the Faron Pillar to take 4 damage, Enter Faron

## Faron Woods 1 & Skyview Temple
- Save at the Sealed Grounds Statue
  - practice save `sealed_grounds.bin`
- Use BiT to Reverse BiTWarp File 1 into Skyview Temple
  - Activate BiT with Fall Damage
  - Copy File 2 to File 3
  - Bonk tree with File 1 to open the UA Gates
  - Check the UA Statue with File 1, BiTSave File 2, but do NOT START
  - Select File 1 to Open the Gate again, jump and call the loftwing behind the Bazaar
  - Enter the Sky near the Village Windmill with File 2/3
  - Dive to the Faron Pillar with File 1, Enter the Pillar with File 1, Select File 2 during the Fadeout
  - Select File 1 to bring down the Log, enter Behind the Temple
  - Perform the Log Jump, enter Faron Woods with File 1
  - Do not select File 1, Create a Corrupt File on File 3 at In the Woods
  - Select File 2 before climbing the log, watch away from the Lake Floria Doors
  - Select File 1 and die to the Octorok
    - the octorok is on the left path
  - Enter Deep Woods with File 2
  - Select File 2 then skip the cutscene by holding 2, Re-select File 2 during the crystal cutscene, Copy File 2 to File 1 when the door starts opening
  - Reverse BiTWarp into Skyview Temple
    - Wait for the Skyview Entering Cutscene to start
    - select File 1, Start File 1
    - wait like half a second before holding 2 to skip the cutscene
    - If the Skyview Entering Cutscene didn't start then you copied too early
- Enter Staldra Room, Defeat Staldra
  - practice save `skyview.bin`
- Get the Boss Key (skyvward strike vines)
  - practice save `girahim.bin`
- Defeat Ghirahim (Heart Container Optional for Horde)
- Save at Prompt, Manually Reset
- Start File 2 and S&Q (This fixes File 2's scene flag index)
  - practice save `faron.bin`

## Eldin Volcano
- Use BiT to Reverse BiTWarp into the Goddess Statue
  - Load File 3 to Activate BiT
  - Bonk tree with File 2 to open UA Gates
  - Reverse BiTWarp File 1 into the Goddess Statue by starting File 1 then running into the loading zone
- Place the Ruby Tablet, Get the Tunic
- Save at the Prompt, Manually Reset
- Use BiT to Reverse BiTWarp File 1 into Eldin
  - Load File 3 to activate BiT
  - BiTSave File 1 at Bazaar (positionning important), but DO NOT START
  - Run to platform behind the Bazaar and call the loftwing with File 1 selected, Switch to File 2 during Sky Fadeout (otherwise you will crash)
  - In the Sky, fly towards the zipper to Eldin, dive and then remount the loftwing with File 1 into the zipper (to load the Eldin Pillar and have a speed boost)
  - Fly loftwing to the invisible Eldin Pillar
  - Start File 1 to Reverse BiTWarp into Eldin
- Jumpslash and take 4 hearts of damage
- Bokoblin Fight for Digging Mitts (1x08 for Behind the Temple Statue Cutscene)
- Fire Maze
- Mogma/Impa cutscenes (9x04 for Batreaux Door)
- Save at Volcano Ascent statue
  - practice save `volcano_ascent.bin`
- Use RBM to open the Earth Temple early
  - Die via lava to activate BiT
  - Enter Item seller's house (next to the graveyard)
  - Sleep to night
  - Exit house with File 2/3 selected
  - Cross bridge, run to graveyard and slash back left grave
  - Perform the RBM by starting File 1, then pushing the grave back to start shed CS
- Scale the sandy slopes
- Just sayin' cutscene
- Run towards Earth Temple to trigger the entrance cutscene
  - practice save `earth_temple_entrance.bin`

## Earth Temple
- Camera manipulation for early platform cycle
- Lower drawbridge with CS skips and with Keese Trick
- Avoid Lizalfos and Skyward Strike bomb to loose boulder
- Save at the statue on the island in the center
  - practice save `earth_temple_center.bin`
- Use RBM to raise the platforms and skip the boulder section
  - Activate BiT via lava
  - Bonk tree with File 2 to open the Lower Academy(LA) Gates
  - Enter the Knight Academy with File 3
  - Perform the RBM by talking to Pipit (guy with yellow tunic) and starting File 1 as you close his 7th textbox
- Die into the bridge cutscene in the lava to raise the peg platforms
- Stuttersprint up slopes
- Dragon Sculpture
  - practice save `scaldera.bin`
- Bomb Flower Scaldera
  - slash, spin attack
  - skyward strike, 2x spin attack (3 hits only)
  - skyward strike, 2x spin attack
    - the skyward strike is somewhat precise, but hits without a bomb
  - Damage to 1 or 2 hearts
  - Skip Heart Container
- Amber Tablet
- Cancel at prompt
- Save at Temple Entrance Statue
- Use RBM to activate the Lanayru Pillar on File 1
  - Activate BiT via Lava
  - Copy File 1 to File 3
  - Bonk tree with File 2 to open the LA Gates
  - Collect the Rupee by jumping into it with File 1 to load the Amber Tablet
  - BiTSave File 1 at LA
  - Enter the Goddess Statue with File 2, Place the Amber Tablet
  - Perform the RBM by starting File 1 about one second after the second camera change, as the light pillar forms
- Fly to Lanayru

## Lanayru Desert
- Save at Mine Entry statue
  - practice save `mine_entry.bin`
- Use RBM to activate the Temple of Time statue
  - Activate BiT via Bomb Flowers
  - Bonk Bazaar tree with File 3 selected to open the shed via BiTMagic
  - Enter Batreaux's house with File 3 selected
  - Perform the RBM by starting File 1 and clearing Batreaux's last text simultaneously
  - The last textbox is sixth after the dialogue option
- Talk to the dead robot near the statue - this commits the RBM'd flag
- Return to Sky and land at Temple of Time statue
- Enter and exit back door of Lanayru Mining Facility for the Goddess Harp
- Cancel at Prompt, Fi Text skip
- Fly back to Mines, Save at Lanayru Mines Statue
- Early Gorge BiTWarp
  - Die via yellow chu to activate BiT
  - Bonk tree with File 2 to open UA Gates
  - BiTWarp File 1 via UA
- Run OoB to the Lanayru Caves
- Enter the Lanayru Gorge

## Lanayru Gorge
- Save at the Lanayru Gorge Statue
- Use RBM to blow up the Escort Rock
  - Activate BiT with Bomb on Cactus
  - BiTSave File 2 at Bazaar, but DO NOT START
  - Press B to menu back to the splash screen
  - Jump off plaza platform and select File 2 during the fadeout to the Sky (otherwise you will crash)
  - Dive to the Faron Pillar, Enter Pillar with File 1 selected, Select File 3 during the Fadeout
  - Reload Behind the Temple via the Spiral loading zone while staying on the Splash Screen
  - Go near Behind the Temple Statue, open File Select, Select File 1
  - Perform the RBM by starting File 1 while closing the Goron textbox
- Commit with Skyward Strike on the Bomb on Cactus
- Save again
- Use RBM to Skip the Minecart Escort
  - Activate BiT via Bomb on Cactus
  - BiTSave File 2 at Bazaar, but DO NOT START
  - Press B to menu back to the splash screen
  - Jump off plaza platform and select File 2 during the fadeout to the Sky (otherwise you will crash)
  - Dive to the Faron Pillar, Enter Pillar with File 1 selected, Select File 2 during the Fadeout
  - Open Splash Screen, close Goron Text with F3, Enter the Spiral with F2, Re-enter Behind the Temple on the Splash Screen
  - Open the Splash Screen to get the log pushed, Enter Faron Woods with File 2
  - Defeat the bokoblins with File 1 selected to save Machi
  - Perform the RBM by starting File 1 and clearing Machi's first textbox simultaneously (this temporary flag will go away if you leave the Lanayru Gorge or save after a death)
- Commit the flag by bonking Pillar near Thunder Dragon
- Save at the statue and activate BiT via bomb on cactus
  - Bonk tree with File 2 to open UA Gates
  - BiTWarp File 1 via UA
- Run around the northeastern out of bounds map section
- Precise OoB Jump
- Drop down into the escort ending damageless and drown near the door (use brakesliding to get there)
- Wait for minecart to reach it's final resting point and then Save
- Use RBM to Heal the Thunder Dragon
  - Activate BiT via Bomb on Cactus
  - BiTSave File 2 at Bazaar, but DO NOT START
  - Press B to menu back to the splash screen
  - Jump off plaza platform and select File 2 during the fadeout to the Sky (otherwise you will crash)
  - Dive to the Faron Pillar, Enter Pillar with File 1 selected, Keep File 1 during the Fadeout
  - Wait for the Groose Cutscene to start and then select File 1
  - Enter the Sealed Temple WITHOUT SELECTING ANOTHER FILE
  - Upon entering, DO NOT PRESS A UNTIL THE CUTSCENE STARTS
  - Select File 1 and then progress through the cutscene
  - Perform the RBM by starting File 1 and then performing the final strum of the Harp tutorial
    - The last strum is the second one which has a higher pitch than the previous ones. So listen for the first higher pitched strum then start the file and perform the second one.
- Go through Fi text (if there is no Fi text, the RBM failed)
- Activate the minecart timeshift stone
- Talk to the Thunder Dragon and Start the Imprisoned 1 fight (Right option on all dual options, Up on three way options; Up right and then down left on four way options)
  - Die via feet
- Talk to the Thunder Dragon and Start the Imprisoned 2 fight (Right option on all dual options, Up on three way options; Down right and then down left on four way options)
  - Die via feet
- Fly to Skyloft (near Bazaar)

## Faron Woods 2
- S&Q at Bazaar Statue
- Use RBM to open the Gate of Time (GoT)
  - Load File 3 and activate BiT via lava
  - BiTSave File 2 at Bazaar, but DO NOT START
  - Press B to menu back to the splash screen
  - Jump off plaza platform and select File 2 during the fadeout to the Sky (otherwise you will crash)
  - Dive to the Faron Pillar, Enter Pillar with File 1 selected, Keep File 1 during the Fadeout
  - Wait for the Groose Cutscene to start and then select File 2
  - Enter the Sealed Temple WITHOUT SELECTING ANOTHER FILE
  - Upon entering, IMMEDIATELY PRESS A TO GET OFF THE SPLASH SCREEN
  - BitSave File 1 at the Sealed Temple statue
  - Run into the Ballad of the Goddess Circle with File 1
  - Skip the Gate of Time raising cutscene
  - Select File 1 asap and charge a skyward strike
  - Perform the RBM by Starting File 1 and then releasing a skyward strike onto the targetted Gate of Time (If the gate of time is open when you load in, then the RBM was successful)
- S&Q in the Sealed Temple
- Use RBM to perform Song of the Hero Skip
  - Load File 3 and Activate BiT via lava
  - Bonk tree with File 2 to open UA Gates
  - Check the UA Bird Statue with File 1 Selected, then quickly change to and BiTSave File 2 but DO NOT START
  - Press B to menu back to the splash screen
  - Jump off platform north of bazaar and select File 2 during the fadeout to the Sky (otherwise you will crash)
  - Dive to the Faron Pillar, Enter Pillar with File 1 selected, Select File 2 during the Fadeout
  - DON'T SELECT FILE 1, Open Splash Screen, close Goron Text with F3, Enter the Spiral with F2, Re-enter Behind the Temple on the Splash Screen
  - Open the Splash Screen to get the log pushed, Enter Faron Woods with File 2/3 selected
  - Perform the RBM by starting File 1, then pressing 2 to cancel the Fi Text and start the Floria Door CS

## Endgame
- Enter the Gate of Time (avoid the cutscene with Groose and Impa)
- True Master Sword
- Exit door to Hylia's Realm
- Horde battle with horde skip
- Ghirahim
- Demise

